## org.eclipse.emf.spi.cdo
Interface InternalCDOTransaction.InternalCDOCommitContext

All Superinterfaces:
  CDOCommitContext

All Known Subinterfaces:
  InternalCDOXATransaction.InternalCDOXACommitContext

Enclosing interface:
  InternalCDOTransaction

    public static interface InternalCDOTransaction.InternalCDOCommitContext

extends CDOCommitContext

Provides a context for a commit operation.

Method Summary
`InternalCDOTransaction` `getTransaction()` Returns the `transaction` associated with this commit context.
`void` `postCommit(CDOSessionProtocol.CommitTransactionResult result)`
`void` `preCommit()`

Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOCommitContext
`getDetachedObjects, getDirtyObjects, getNewObjects, getNewPackageUnits, getNewResources, getRevisionDeltas`

Method Detail

### getTransaction

    InternalCDOTransaction getTransaction()

  Description copied from interface: `CDOCommitContext`
  Returns the `transaction` associated with this commit context.

  Specified by:
    `getTransaction` in interface `CDOCommitContext`

### preCommit

    void preCommit()

### postCommit

    void postCommit(CDOSessionProtocol.CommitTransactionResult result)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.